// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/gitlab-com/gl-infra/woodhouse/pkg/statusio (interfaces: StatusioHandler)

// Package mocks is a generated GoMock package.
package mocks

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	statusio "github.com/statusio/statusio-go"
)

// MockStatusioHandler is a mock of StatusioHandler interface.
type MockStatusioHandler struct {
	ctrl     *gomock.Controller
	recorder *MockStatusioHandlerMockRecorder
}

// MockStatusioHandlerMockRecorder is the mock recorder for MockStatusioHandler.
type MockStatusioHandlerMockRecorder struct {
	mock *MockStatusioHandler
}

// NewMockStatusioHandler creates a new mock instance.
func NewMockStatusioHandler(ctrl *gomock.Controller) *MockStatusioHandler {
	mock := &MockStatusioHandler{ctrl: ctrl}
	mock.recorder = &MockStatusioHandlerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockStatusioHandler) EXPECT() *MockStatusioHandlerMockRecorder {
	return m.recorder
}

// ComponentList mocks base method.
func (m *MockStatusioHandler) ComponentList(arg0 string) (statusio.ComponentListResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ComponentList", arg0)
	ret0, _ := ret[0].(statusio.ComponentListResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ComponentList indicates an expected call of ComponentList.
func (mr *MockStatusioHandlerMockRecorder) ComponentList(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ComponentList", reflect.TypeOf((*MockStatusioHandler)(nil).ComponentList), arg0)
}

// IncidentCreate mocks base method.
func (m *MockStatusioHandler) IncidentCreate(arg0 statusio.Incident) (statusio.IncidentCreateResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "IncidentCreate", arg0)
	ret0, _ := ret[0].(statusio.IncidentCreateResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// IncidentCreate indicates an expected call of IncidentCreate.
func (mr *MockStatusioHandlerMockRecorder) IncidentCreate(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "IncidentCreate", reflect.TypeOf((*MockStatusioHandler)(nil).IncidentCreate), arg0)
}
